#include "config.h"

#include <iostream>

bool config_t::load_config(const std::filesystem::path& in_filename) {
	try {
		tbl = toml::parse_file(in_filename.string());
	}
	catch (const toml::parse_error& err) {
		std::println(std::cerr, "mirage: {}", err.what());
		return false;
	}
	return true;
}
